Skip to content
Browse files

Clarify requiring rubygems and micronaut (in case you don't have $RUB…

…YOPT or $GEM_HOME set). Thanks to Glen Ivey and Kristian Hanekamp for the head's up.
  • Loading branch information...
1 parent 83a4c8f commit ee89cd7f7a0c6eb7d014fa7c11eb773f822f0a2d Larry Karnowski committed
Showing with 5 additions and 4 deletions.
  1. +4 −4 Rakefile
  2. +1 −0 spec/rubies/spec_helper.rb
View
8 Rakefile
@@ -1,10 +1,10 @@
+require "rubygems"
+require "micronaut"
+require "micronaut/rake_task"
+
ENV["BLUE_RIDGE_PREFIX"] = File.dirname(__FILE__)
import File.dirname(__FILE__) + '/tasks/javascript_testing_tasks.rake'
-gem "spicycode-micronaut", ">= 0.2.4"
-require 'micronaut'
-require 'micronaut/rake_task'
-
namespace :test do
desc "Run all micronaut examples using rcov"
Micronaut::RakeTask.new :rubies do |t|
View
1 spec/rubies/spec_helper.rb
@@ -1,3 +1,4 @@
+require "rubygems"
require "micronaut"
def not_in_editor?

1 comment on commit ee89cd7

@rsanheim

Hey Larry
I would recommend removing the require 'rubygems', and instead educate users of blue ridge about how they can always have rubygems loaded (via RUBYOPT or command line switches), and why it matters. See the following for more details and more background:

http://weblog.rubyonrails.org/2009/9/1/gem-packaging-best-practices
http://yehudakatz.com/2009/07/24/rubygems-good-practice/
http://gist.github.com/54177

Please sign in to comment.
Something went wrong with that request. Please try again.